//----------------------------------------------------------------------------
//  Project Animals
//  Borland International
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Animals Application
//  FILE:         AnmlsDlC.cpp
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TAnimalsDlgClient (TDialog).
//
//----------------------------------------------------------------------------

#include "owlpch.h"

#include "resource.h"
#include "beastwin.h"
#include "anmlsdlc.h"

//{{TAnimalsDlgClient Implementation}}

//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TAnimalsDlgClient, TDialog)
//{{TAnimalsDlgClientRSP_TBL_BEGIN}}
	EV_COMMAND(IDC_FIRST, EvCommandFirst),
	EV_COMMAND_ENABLE(IDC_FIRST, EvCommandenableFirst),
	EV_COMMAND(IDC_PREV, EvCommandPrev),
	EV_COMMAND_ENABLE(IDC_PREV, EvCommandenablePrev),
	EV_COMMAND(IDC_NEXT, EvCommandNext),
	EV_COMMAND_ENABLE(IDC_NEXT, EvCommandenableNext),
	EV_COMMAND(IDC_LAST, EvCommandLast),
	EV_COMMAND_ENABLE(IDC_LAST, EvCommandenableLast),
//{{TAnimalsDlgClientRSP_TBL_END}}
END_RESPONSE_TABLE;


//-----------------------------------------------------------------------------
// TAnimalsDlgClient
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TAnimalsDlgClient::TAnimalsDlgClient(TWindow* parent)
:
  TDialog(parent, IDD_ANIMALS),
	Table(((TAnimalsApp*)GetApplication())->Database, "../tables/animals.dbf")
{
	StaticName		= new TDBStatic(this, IDC_ANINAME, 1, &Table.GetDataLink(), 10);
	StaticSize		= new TDBStatic(this, IDC_ANISIZE, 2, &Table.GetDataLink(), 2);
	StaticWeight	= new TDBStatic(this, IDC_ANIWEIGHT,3, &Table.GetDataLink(), 2);
	StaticWhere		= new TDBStatic(this, IDC_ANIWHERE, 4, &Table.GetDataLink(), 20);
	StaticImage		= new TDBBlobImage(this, IDC_ANIIMAGE, 5, &Table.GetDataLink());
}
//-----------------------------------------------------------------------------
TAnimalsDlgClient::~TAnimalsDlgClient()
{
  Destroy(IDCANCEL);
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::SetupWindow()
{	
	// Call base class function.
	TDialog::SetupWindow();
	EvCommandFirst();

}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandFirst()
{	
	TWaitCursor w;
  Table.SetToBegin();
  Table.GetNextRecord();
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandenableFirst(TCommandEnabler& tce)
{	
	tce.Enable(!Table.IsFirst());
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandPrev()
{	
	TWaitCursor w;
  Table.GetPriorRecord();
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandenablePrev(TCommandEnabler& tce)
{	
	tce.Enable(!Table.IsFirst());
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandNext()
{	
	TWaitCursor w;
  Table.GetNextRecord();
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandenableNext(TCommandEnabler& tce)
{	
	tce.Enable(!Table.IsLast());
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandLast()
{	
	TWaitCursor w;
  Table.SetToEnd();
  Table.GetPriorRecord();
}
//-----------------------------------------------------------------------------
void TAnimalsDlgClient::EvCommandenableLast(TCommandEnabler& tce)
{	
	tce.Enable(!Table.IsLast());
}
//-----------------------------------------------------------------------------
